<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: Simulation/old_models/current/sfun.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_de42b030a7cb396004e1bc3eaf851daf.html">Simulation</a></li><li class="navelem"><a class="el" href="dir_5361286ab0cd31c43cd11122a25ae5de.html">old_models</a></li><li class="navelem"><a class="el" href="dir_16c198c1aa3152b2822868638e067293.html">current</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">sfun.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a09be03e36647772da0624868f20b031c"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simulation_2old__models_2current_2sfun_8m.html#a09be03e36647772da0624868f20b031c">sfun</a> (in t, in x, in u, in flag)</td></tr>
<tr class="separator:a09be03e36647772da0624868f20b031c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e70eee6f52f81f3523b57b6808e2eff"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simulation_2old__models_2current_2sfun_8m.html#a8e70eee6f52f81f3523b57b6808e2eff">mdlInitializeSizes</a> ()</td></tr>
<tr class="separator:a8e70eee6f52f81f3523b57b6808e2eff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a910732398e452f0762c88874ac95fa54"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simulation_2old__models_2current_2sfun_8m.html#a910732398e452f0762c88874ac95fa54">mdlDerivatives</a> (in t, in x, in u)</td></tr>
<tr class="separator:a910732398e452f0762c88874ac95fa54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5c48fa51a29163334e05344150dc71e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simulation_2old__models_2current_2sfun_8m.html#af5c48fa51a29163334e05344150dc71e">mdlUpdate</a> (in t, in x, in u)</td></tr>
<tr class="separator:af5c48fa51a29163334e05344150dc71e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8f1cecad96bd516078448d07082de25"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simulation_2old__models_2current_2sfun_8m.html#ab8f1cecad96bd516078448d07082de25">mdlOutputs</a> (in t, in x, in u)</td></tr>
<tr class="separator:ab8f1cecad96bd516078448d07082de25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a651db0459159027f1a18a02ce2de7c60"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simulation_2old__models_2current_2sfun_8m.html#a651db0459159027f1a18a02ce2de7c60">mdlGetTimeOfNextVarHit</a> (in t, in x, in u)</td></tr>
<tr class="separator:a651db0459159027f1a18a02ce2de7c60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaec18db2fb1eb75c69c6da11dfaf2f8"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_simulation_2old__models_2current_2sfun_8m.html#abaec18db2fb1eb75c69c6da11dfaf2f8">mdlTerminate</a> (in t, in x, in u)</td></tr>
<tr class="separator:abaec18db2fb1eb75c69c6da11dfaf2f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a910732398e452f0762c88874ac95fa54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a910732398e452f0762c88874ac95fa54">&#9670;&nbsp;</a></span>mdlDerivatives()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function mdlDerivatives </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a651db0459159027f1a18a02ce2de7c60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a651db0459159027f1a18a02ce2de7c60">&#9670;&nbsp;</a></span>mdlGetTimeOfNextVarHit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function mdlGetTimeOfNextVarHit </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8e70eee6f52f81f3523b57b6808e2eff"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e70eee6f52f81f3523b57b6808e2eff">&#9670;&nbsp;</a></span>mdlInitializeSizes()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function mdlInitializeSizes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab8f1cecad96bd516078448d07082de25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab8f1cecad96bd516078448d07082de25">&#9670;&nbsp;</a></span>mdlOutputs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function mdlOutputs </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abaec18db2fb1eb75c69c6da11dfaf2f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abaec18db2fb1eb75c69c6da11dfaf2f8">&#9670;&nbsp;</a></span>mdlTerminate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function mdlTerminate </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af5c48fa51a29163334e05344150dc71e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5c48fa51a29163334e05344150dc71e">&#9670;&nbsp;</a></span>mdlUpdate()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function mdlUpdate </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a09be03e36647772da0624868f20b031c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09be03e36647772da0624868f20b031c">&#9670;&nbsp;</a></span>sfun()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function sfun </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>flag</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
